Bug 157852 - [patch] Mk/bsd.svn.mk new framework for ports depending on subversion + patches for 80+ ports
Summary: [patch] Mk/bsd.svn.mk new framework for ports depending on subversion + patch...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-14 00:10 UTC by Olli Hauer
Modified: 2012-05-18 03:51 UTC (History)
1 user (show)

See Also:


Attachments
PR_bsd.svn.mk.diff (8.01 KB, patch)
2011-06-14 00:10 UTC, Olli Hauer
no flags Details | Diff
ALL_changed_ports.txt (1.99 KB, text/plain)
2011-06-14 00:10 UTC, Olli Hauer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2011-06-14 00:10:09 UTC
Add a new framework for ports which depend on subversion.

Until now devs have a mess if they define WITH_FREEBSD_SUBVERSION=yes in
/etc/make.conf since no port except subversion self honors this param.

The new framework take care of WITH_FREEBSD_SUBVERSION, additional the
user can define SVN_PORT= devel/subversion or devel/subversion-freebsd
in /etc/make.conf.

Except scponly no port need a version bump ( see PR ports/157804 )

The patches are also aviable here:
http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk.diff

All 80+ port fixes:
http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk_all_ports.diff

The list with affected ports (if partial build is possible)
http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/ALL_changed_ports.txt

Please do an expr-run if needet.

Fix: Index: cad/kicad-devel/Makefile
===================================================================
RCS file: /home/pcvs/ports/cad/kicad-devel/Makefile,v
retrieving revision 1.36
diff -u -r1.36 Makefile
--- cad/kicad-devel/Makefile	2 May 2011 12:44:28 -0000	1.36
+++ cad/kicad-devel/Makefile	13 Jun 2011 22:22:38 -0000
@@ -80,7 +80,7 @@
 # make makesum && make && make install
 # make build-plist
 
-FETCH_DEPENDS+= svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 FETCH_DEPENDS+= bzr:${PORTSDIR}/devel/bazaar-ng
 
 do-fetch:
Index: comms/wsjt/Makefile
===================================================================
RCS file: /home/pcvs/ports/comms/wsjt/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- comms/wsjt/Makefile	24 Feb 2011 23:25:54 -0000	1.16
+++ comms/wsjt/Makefile	13 Jun 2011 22:22:38 -0000
@@ -63,7 +63,7 @@
 .endif
 
 .if defined(BOOTSTRAP)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 
 do-fetch:
 	${MKDIR} ${WRKDIR}
Index: devel/anjuta/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/anjuta/Makefile,v
retrieving revision 1.98
diff -u -r1.98 Makefile
--- devel/anjuta/Makefile	20 May 2011 08:31:47 -0000	1.98
+++ devel/anjuta/Makefile	13 Jun 2011 22:22:38 -0000
@@ -69,10 +69,9 @@
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_SVN)
-BUILD_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	yes
 LIB_DEPENDS+=	apr-1.4:${PORTSDIR}/devel/apr1
 LIB_DEPENDS+=	neon.27:${PORTSDIR}/www/neon29
-RUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
 PLIST_SUB+=	SVN=""
 .else
 CONFIGURE_ARGS+=--disable-plugin-subversion
Index: devel/compiler-rt/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/compiler-rt/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- devel/compiler-rt/Makefile	19 May 2011 16:43:40 -0000	1.6
+++ devel/compiler-rt/Makefile	13 Jun 2011 22:22:38 -0000
@@ -58,7 +58,7 @@
 .endif
 
 .if defined(BOOTSTRAP)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 
 do-fetch:
 	${MKDIR} ${WRKDIR}
Index: devel/cvs2svn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/cvs2svn/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- devel/cvs2svn/Makefile	25 Feb 2011 07:50:35 -0000	1.31
+++ devel/cvs2svn/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,7 +15,8 @@
 COMMENT=	CVS to Subversion Repository Converter
 
 BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/gdbm.so:${PORTSDIR}/databases/py-gdbm
-RUN_DEPENDS=	${BUILD_DEPENDS}
+
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 MAKE_JOBS_SAFE=	yes
 
@@ -33,7 +34,7 @@
 .endif
 
 .if defined(WITH_SUBVERSION)
-RUN_DEPENDS+=	${LOCALBASE}/bin/svn:${PORTSDIR}/devel/py-subversion
+USE_SVN_RUN=	yes
 .endif
 
 .if defined(WITH_GIT)
Index: devel/cvstrac/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/cvstrac/distinfo,v
retrieving revision 1.7
diff -u -r1.7 distinfo
--- devel/cvstrac/distinfo	18 May 2008 03:50:39 -0000	1.7
+++ devel/cvstrac/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (cvstrac-2.0.1.tar.gz) = 684bcb739eb5a6e1932fb8797ffe6a91
 SHA256 (cvstrac-2.0.1.tar.gz) = fcb703c8c4e426a0d071d0fa1f406ec3c18b0867af27c85aa3d2806bc0aca806
 SIZE (cvstrac-2.0.1.tar.gz) = 261467
Index: devel/ditrack/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/ditrack/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/ditrack/Makefile	18 May 2010 04:07:37 -0000	1.11
+++ devel/ditrack/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,12 +15,11 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A tracking system based on Subversion repository
 
-RUN_DEPENDS=	svn:${PORTSDIR}/devel/subversion
-
 NO_BUILD=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	DITrack
+USE_SVN_RUN=	yes
 WRKSRC=		${WRKDIR}/DITrack-${PORTVERSION}
 
 .include <bsd.port.pre.mk>
Index: devel/ditrack/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/ditrack/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- devel/ditrack/distinfo	10 Aug 2008 02:50:05 -0000	1.5
+++ devel/ditrack/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (ditrack-0.8.tgz) = 4f9860f4027577b67895b32558e10d71
 SHA256 (ditrack-0.8.tgz) = 3051fae56c8b3699a9cd489888d4d754582ac455fa2e6989f42dfe76a032c0e0
 SIZE (ditrack-0.8.tgz) = 77129
Index: devel/esvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/esvn/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- devel/esvn/Makefile	24 Sep 2010 09:49:54 -0000	1.24
+++ devel/esvn/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,7 +16,6 @@
 COMMENT=	GUI frontend for the Subversion revision system
 
 BUILD_DEPENDS=	qmake:${PORTSDIR}/devel/qmake
-RUN_DEPENDS=	svn:${PORTSDIR}/devel/subversion
 
 ESVN_DIST=	esvn
 ESVNPRO=	esvn.pro esvn-diff-wrapper.pro
@@ -27,6 +26,7 @@
 HAS_CONFIGURE=	yes
 USE_QT_VER=	3
 USE_GMAKE=	yes
+USE_SVN_RUN=	yes
 CONFIGURE_ENV=	QMAKESPEC=${LOCALBASE}/share/qt/mkspecs/freebsd-g++
 CONFIGURE_ARGS=	--qtdir=${QT_PREFIX}
 MAKE_ARGS+=	QTDIR=${QT_PREFIX} \
Index: devel/esvn/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/esvn/distinfo,v
retrieving revision 1.9
diff -u -r1.9 distinfo
--- devel/esvn/distinfo	21 Oct 2007 20:17:10 -0000	1.9
+++ devel/esvn/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (esvn-0.6.12-1.tar.gz) = c46ffee6188dc28604c7cc9e5dbf082e
 SHA256 (esvn-0.6.12-1.tar.gz) = cb9963c2b7ca8136785df3411e7c6e1420e054358d5bc264a83f923fea8d53e3
 SIZE (esvn-0.6.12-1.tar.gz) = 1924597
Index: devel/fossology/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/fossology/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- devel/fossology/Makefile	2 May 2011 12:44:31 -0000	1.7
+++ devel/fossology/Makefile	13 Jun 2011 22:22:38 -0000
@@ -25,8 +25,7 @@
 COMMENT=	License analysis tool for Open Source software
 
 BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
-		${SITE_PERL}/Text/Template.pm:${PORTSDIR}/textproc/p5-Text-Template \
-		svn:${PORTSDIR}/devel/subversion
+		${SITE_PERL}/Text/Template.pm:${PORTSDIR}/textproc/p5-Text-Template
 LIB_DEPENDS=	extractor.3:${PORTSDIR}/textproc/libextractor
 RUN_DEPENDS=	cabextract:${PORTSDIR}/archivers/cabextract \
 		icat:${PORTSDIR}/sysutils/sleuthkit \
@@ -40,6 +39,7 @@
 
 BROKEN=		does not compile
 
+USE_SVN_BUILD=	yes
 USE_APACHE=	2.0+
 USE_CDRTOOLS=	yes
 USE_GMAKE=	yes
Index: devel/fossology/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/fossology/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- devel/fossology/distinfo	24 Jul 2009 06:30:55 -0000	1.1
+++ devel/fossology/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (fossology-1.1.0.tar.gz) = deffdd25641e6b1c053e123c5307f2db
 SHA256 (fossology-1.1.0.tar.gz) = c05e53e5fbaa3ac44c2fab79fcb5713668b675cbffa4bf1abccb49f18f9334d5
 SIZE (fossology-1.1.0.tar.gz) = 1994690
Index: devel/git/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/git/Makefile,v
retrieving revision 1.107
diff -u -r1.107 Makefile
--- devel/git/Makefile	5 Jun 2011 00:13:20 -0000	1.107
+++ devel/git/Makefile	13 Jun 2011 22:22:38 -0000
@@ -185,7 +185,6 @@
 
 OPTIONS=	GUI "Enable building of GUI tools" off \
 		SVN "Enable required dependencies for SVN tools" off \
-		SVN_FBSD "Use subversion-freebsd dependency (implies SVN)" off \
 		GITWEB "Install gitweb" off \
 		CONTRIB "Install contributed scripts" on \
 		P4 "Enable Perforce support" on \
@@ -266,14 +265,9 @@
 MAKE_ARGS+=	NO_TCLTK=yes
 .endif
 
-.ifdef (WITH_SVN) || defined(WITH_SVN_FBSD)
-RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
-		${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion
-.ifdef (WITH_SVN_FBSD)
-RUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion-freebsd
-.else
-RUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
-.endif
+.ifdef (WITH_SVN)
+USE_SVN_RUN=	yes pl
+RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey
 PLIST_SUB+=	SVN=""
 MAN1+=		git-svn.1
 .else
Index: devel/hgsvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/hgsvn/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- devel/hgsvn/Makefile	18 May 2010 04:07:38 -0000	1.10
+++ devel/hgsvn/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,9 +16,9 @@
 MAINTAINER=	delphij@FreeBSD.org
 COMMENT=	Scripts to work locally on Subversion checkouts using Mercurial
 
-RUN_DEPENDS=	svn:${PORTSDIR}/devel/subversion \
-		hg:${PORTSDIR}/devel/mercurial
+RUN_DEPENDS=	hg:${PORTSDIR}/devel/mercurial
 
+USE_SVN_RUN=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=easy_install
 PLIST_SUB=	VERSION=${PORTVERSION} PYVER=${PYTHON_VERSION:S/python//}
Index: devel/hgsvn/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/hgsvn/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- devel/hgsvn/distinfo	30 Jan 2010 01:30:13 -0000	1.5
+++ devel/hgsvn/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (python/hgsvn-0.1.8.tar.gz) = 56209eae48b955754e09185712123428
 SHA256 (python/hgsvn-0.1.8.tar.gz) = 90ddb565cc058c69617efc2ee0f02e5847104b6481ef56fb849a5410835c47a1
 SIZE (python/hgsvn-0.1.8.tar.gz) = 50068
Index: devel/horde-chora/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/horde-chora/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- devel/horde-chora/Makefile	25 Feb 2011 01:31:42 -0000	1.44
+++ devel/horde-chora/Makefile	13 Jun 2011 22:22:38 -0000
@@ -28,7 +28,7 @@
 #-----------------------------------------------------------------------
 
 .if !defined(WITHOUT_SVN)
-RUN_DEPENDS+=	${LOCALBASE}/bin/svn:${PORTSDIR}/devel/subversion
+USE_SVN_RUN=	yes
 .endif
 
 .if !defined(WITHOUT_CVSPS)
Index: devel/horde-chora/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/horde-chora/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- devel/horde-chora/distinfo	23 Sep 2010 02:54:56 -0000	1.13
+++ devel/horde-chora/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (horde/chora-h3-2.1.1.tar.gz) = b77ec9e7c703c34ffbcc46ceaa87e132
 SHA256 (horde/chora-h3-2.1.1.tar.gz) = f1af4179d7e03e9bf9fc32ca8e79a8fe0dbb1595a978ddc9a9f74262e7a213e4
 SIZE (horde/chora-h3-2.1.1.tar.gz) = 1028264
Index: devel/kdesdk3/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/kdesdk3/Makefile,v
retrieving revision 1.77
diff -u -r1.77 Makefile
--- devel/kdesdk3/Makefile	25 Feb 2011 01:31:43 -0000	1.77
+++ devel/kdesdk3/Makefile	13 Jun 2011 22:22:38 -0000
@@ -17,12 +17,12 @@
 COMMENT=	KDE Software Development Kit
 
 RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
-LIB_DEPENDS=	svn_client-1.0:${PORTSDIR}/devel/subversion
 
 CONFLICTS=	umbrello-[0-9]* kcachegrind-[0-9]*
 
 USE_KDEBASE_VER=3
 
+USE_SVN_LIB=	yes
 USE_PERL5=	yes
 USE_BZIP2=	yes
 USE_GMAKE=	yes
Index: devel/kdesdk3/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/kdesdk3/distinfo,v
retrieving revision 1.39
diff -u -r1.39 distinfo
--- devel/kdesdk3/distinfo	29 Aug 2008 11:29:44 -0000	1.39
+++ devel/kdesdk3/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (KDE/kdesdk-3.5.10.tar.bz2) = ad711d1ce09242bd13b73a9a005f3143
 SHA256 (KDE/kdesdk-3.5.10.tar.bz2) = 78626d3af1ed1cba8eb147bbecd13732bc7cd26ba159fa67a211cdebc30dfd47
 SIZE (KDE/kdesdk-3.5.10.tar.bz2) = 5252055
Index: devel/kdesdk4/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/kdesdk4/Makefile,v
retrieving revision 1.98
diff -u -r1.98 Makefile
--- devel/kdesdk4/Makefile	25 Mar 2011 10:33:48 -0000	1.98
+++ devel/kdesdk4/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,14 +16,14 @@
 
 BUILD_DEPENDS=	${LOCALBASE}/include/ltdl.h:${PORTSDIR}/devel/libltdl
 RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
-LIB_DEPENDS=	svn_client-1.0:${PORTSDIR}/devel/subversion \
-		boost_thread.4:${PORTSDIR}/devel/boost-libs \
+LIB_DEPENDS=	boost_thread.4:${PORTSDIR}/devel/boost-libs \
 		hunspell-1.2.0:${PORTSDIR}/hungarian/hunspell
 
 LATEST_LINK=	${PORTNAME}4
 
 CONFLICTS=	kdeutils-4.5.[0-5]
 
+USE_SVN_LIB=	yes
 USE_BZIP2=	yes
 USE_KDE4=	kdelibs pimlibs kdeprefix kdehier \
 		automoc4 akonadi kdebase
Index: devel/kdesvn-kde4/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/kdesvn-kde4/Makefile,v
retrieving revision 1.46
diff -u -r1.46 Makefile
--- devel/kdesvn-kde4/Makefile	15 Sep 2010 18:47:10 -0000	1.46
+++ devel/kdesvn-kde4/Makefile	13 Jun 2011 22:22:38 -0000
@@ -12,12 +12,11 @@
 MAINTAINER=	naylor.b.david@gmail.com
 COMMENT=	KDE frontend for Subversion
 
-LIB_DEPENDS=	svn_client-1:${PORTSDIR}/devel/subversion
-
 LICENSE=	GPLv2
 
 CONFLICTS=	qsvn-[0-9]*
 
+USE_SVN_LIB=	yes
 USE_BZIP2=	yes
 USE_CMAKE=	yes
 CMAKE_ARGS+=	-DSUBVERSION_INCLUDE_DIR=${LOCALBASE}/include/subversion-1
Index: devel/kdesvn-kde4/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/kdesvn-kde4/distinfo,v
retrieving revision 1.23
diff -u -r1.23 distinfo
--- devel/kdesvn-kde4/distinfo	15 Sep 2010 18:47:10 -0000	1.23
+++ devel/kdesvn-kde4/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (kdesvn-1.5.5.tar.bz2) = 8f11d31cc55fba408b7971541ee261d0
 SHA256 (kdesvn-1.5.5.tar.bz2) = 67fee0374c9e3ac0514d2ef2b0fdd0b072dca173f1eeae2742cd37022e194b0b
 SIZE (kdesvn-1.5.5.tar.bz2) = 1746344
Index: devel/kdevelop/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/kdevelop/Makefile,v
retrieving revision 1.114
diff -u -r1.114 Makefile
--- devel/kdevelop/Makefile	25 Feb 2011 01:31:43 -0000	1.114
+++ devel/kdevelop/Makefile	13 Jun 2011 22:22:38 -0000
@@ -19,7 +19,6 @@
 
 BUILD_DEPENDS=	cervisia:${PORTSDIR}/devel/kdesdk3 \
 		dot:${PORTSDIR}/graphics/graphviz
-LIB_DEPENDS=	svn_client-1.0:${PORTSDIR}/devel/subversion
 RUN_DEPENDS=	${LOCALBASE}/share/autotools:${PORTSDIR}/devel/autotools \
 		extractrc:${PORTSDIR}/devel/kdesdk3 \
 		gdb66:${PORTSDIR}/devel/gdb66 \
@@ -48,6 +47,7 @@
 
 # KDE_DISTNAME=		${PORTNAME}-${PORTVERSION}_for_KDE_3.1
 
+USE_SVN_LIB=	yes
 USE_LDCONFIG=	yes
 USE_KDELIBS_VER=3
 USE_BZIP2=	yes
Index: devel/kdevelop/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/kdevelop/distinfo,v
retrieving revision 1.37
diff -u -r1.37 distinfo
--- devel/kdevelop/distinfo	15 Aug 2009 01:56:58 -0000	1.37
+++ devel/kdevelop/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (KDE/kdevelop-3.5.4.tar.bz2) = 06aa12a89b2c09968a92e1d8b575819c
 SHA256 (KDE/kdevelop-3.5.4.tar.bz2) = 51ea20606111f8cfaa8878951ab313199d6fdc0f920f3dcd53fd8f4bcf8de318
 SIZE (KDE/kdevelop-3.5.4.tar.bz2) = 9571281
Index: devel/kdevplatform/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/kdevplatform/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- devel/kdevplatform/Makefile	9 Nov 2010 01:52:43 -0000	1.2
+++ devel/kdevplatform/Makefile	13 Jun 2011 22:22:38 -0000
@@ -14,10 +14,10 @@
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE development platform
 
-LIB_DEPENDS=	svn_client-1.0:${PORTSDIR}/devel/subversion \
-		boost_thread.4:${PORTSDIR}/devel/boost-libs \
+LIB_DEPENDS= 	boost_thread.4:${PORTSDIR}/devel/boost-libs \
 		qjson.0:${PORTSDIR}/devel/qjson
 
+USE_SVN_LIB=	yes
 USE_BZIP2=	yes
 USE_KDE4=	automoc4 kdehier kdelibs kdeprefix
 KDE4_BUILDENV=	yes
Index: devel/llvm-devel/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/llvm-devel/Makefile,v
retrieving revision 1.53
diff -u -r1.53 Makefile
--- devel/llvm-devel/Makefile	7 Apr 2011 18:36:05 -0000	1.53
+++ devel/llvm-devel/Makefile	13 Jun 2011 22:22:38 -0000
@@ -87,7 +87,7 @@
 .endif
 
 .if defined(BOOTSTRAP) || defined(SVN_FETCH)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 
 do-fetch:
 	${MKDIR} ${WRKDIR}
Index: devel/llvm-etoile/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/llvm-etoile/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- devel/llvm-etoile/Makefile	11 Apr 2011 20:22:26 -0000	1.2
+++ devel/llvm-etoile/Makefile	13 Jun 2011 22:22:38 -0000
@@ -63,7 +63,7 @@
 .endif
 
 .if defined(BOOTSTRAP)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 
 do-fetch:
 	${MKDIR} ${WRKDIR}
Index: devel/monodevelop/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/monodevelop/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- devel/monodevelop/Makefile	12 Jun 2011 19:06:21 -0000	1.10
+++ devel/monodevelop/Makefile	13 Jun 2011 22:22:38 -0000
@@ -56,7 +56,7 @@
 .endif
 
 .if !defined(WITHOUT_SVN)
-RUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN_RUN=	yes
 CONFIGURE_ARGS+=--enable-subversion
 PLIST_SUB+=	SVN=""
 .else
Index: devel/p5-App-SVN-Bisect/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-App-SVN-Bisect/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- devel/p5-App-SVN-Bisect/Makefile	18 May 2010 04:07:40 -0000	1.4
+++ devel/p5-App-SVN-Bisect/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,10 +16,11 @@
 COMMENT=	Binary search through svn revisions
 
 BUILD_DEPENDS=	p5-IO-All>0:${PORTSDIR}/devel/p5-IO-All \
-		p5-YAML-Syck>0:${PORTSDIR}/textproc/p5-YAML-Syck \
-		${LOCALBASE}/bin/svn:${PORTSDIR}/devel/subversion
-RUN_DEPENDS=	${BUILD_DEPENDS}
+		p5-YAML-Syck>0:${PORTSDIR}/textproc/p5-YAML-Syck
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN_RUN=	yes
 PERL_CONFIGURE=	yes
 
 MAN1=	svn-bisect.1
Index: devel/p5-App-SVN-Bisect/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-App-SVN-Bisect/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- devel/p5-App-SVN-Bisect/distinfo	15 Dec 2009 15:04:27 -0000	1.2
+++ devel/p5-App-SVN-Bisect/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (App-SVN-Bisect-1.0.tar.gz) = d8540f354b27d904eee56cc473542cbc
 SHA256 (App-SVN-Bisect-1.0.tar.gz) = 50e1ac445ba323d151964cb73359cc57b2957bf3117e34409e51d654456124ad
 SIZE (App-SVN-Bisect-1.0.tar.gz) = 19931
Index: devel/p5-Log-Accounting-SVN/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-Log-Accounting-SVN/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- devel/p5-Log-Accounting-SVN/Makefile	18 May 2010 04:07:41 -0000	1.13
+++ devel/p5-Log-Accounting-SVN/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,12 +15,13 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	Perl module for accounting SVN repository
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-SVN-Log>=0:${PORTSDIR}/devel/p5-SVN-Log \
+BUILD_DEPENDS=	p5-SVN-Log>=0:${PORTSDIR}/devel/p5-SVN-Log \
 		p5-Algorithm-Accounting>=0:${PORTSDIR}/devel/p5-Algorithm-Accounting \
 		p5-Test-Simple>=0:${PORTSDIR}/devel/p5-Test-Simple
-RUN_DEPENDS=	${BUILD_DEPENDS}
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	5.8.0+
 
 MAN3=	Log::Accounting::SVN.3
Index: devel/p5-Log-Accounting-SVN/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-Log-Accounting-SVN/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- devel/p5-Log-Accounting-SVN/distinfo	28 Jun 2006 02:50:38 -0000	1.1
+++ devel/p5-Log-Accounting-SVN/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (Log-Accounting-SVN-0.01.tar.gz) = 1d2cf4f010482ee714b6cd1d50f52ecf
 SHA256 (Log-Accounting-SVN-0.01.tar.gz) = 2d5c8638734447cbbeadedf7adb7064121566e42b2b6d904162247f4755c6fd7
 SIZE (Log-Accounting-SVN-0.01.tar.gz) = 8293
Index: devel/p5-SVN-ACL/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-ACL/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- devel/p5-SVN-ACL/Makefile	18 May 2010 04:07:41 -0000	1.8
+++ devel/p5-SVN-ACL/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,11 +16,11 @@
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	A simple ACL frontend for subversion
 
-BUILD_DEPENDS=	\
-		${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
-RUN_DEPENDS=	${BUILD_DEPENDS}
+BUILD_DEPENDS=	${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	yes
 
 MAN3=		SVN::ACL.3
Index: devel/p5-SVN-ACL/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-ACL/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- devel/p5-SVN-ACL/distinfo	18 Jan 2006 00:50:46 -0000	1.1
+++ devel/p5-SVN-ACL/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-ACL-0.02.tgz) = bcc74185dc21b6db39518cfd94b67849
 SHA256 (SVN-ACL-0.02.tgz) = 410e2ff78376419e78ddc5099540bf99311250c9828b8b189ea59d47baf96461
 SIZE (SVN-ACL-0.02.tgz) = 10311
Index: devel/p5-SVN-Access/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Access/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/p5-SVN-Access/Makefile	9 Dec 2010 23:54:17 -0000	1.11
+++ devel/p5-SVN-Access/Makefile	13 Jun 2011 22:22:38 -0000
@@ -14,11 +14,11 @@
 MAINTAINER=	glarkin@FreeBSD.org
 COMMENT=	Perl extension to manipulate SVN Access files
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Base.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-Tie-IxHash>=1.21:${PORTSDIR}/devel/p5-Tie-IxHash
-RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Base.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-Tie-IxHash>=1.21:${PORTSDIR}/devel/p5-Tie-IxHash
+BUILD_DEPENDS=	p5-Tie-IxHash>=1.21:${PORTSDIR}/devel/p5-Tie-IxHash
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	yes
 
 MAN3=		SVN::Access.3 \
Index: devel/p5-SVN-Agent/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Agent/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/p5-SVN-Agent/Makefile	18 May 2010 04:07:41 -0000	1.11
+++ devel/p5-SVN-Agent/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,11 +15,12 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	Simple svn manipulation
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-Class-Accessor>=0:${PORTSDIR}/devel/p5-Class-Accessor \
+BUILD_DEPENDS=	p5-Class-Accessor>=0:${PORTSDIR}/devel/p5-Class-Accessor \
 		p5-File-Slurp>=0:${PORTSDIR}/devel/p5-File-Slurp
-RUN_DEPENDS=	${BUILD_DEPENDS}
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	5.8.0+
 
 MAN3=	SVN::Agent.3
Index: devel/p5-SVN-Agent/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Agent/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- devel/p5-SVN-Agent/distinfo	24 Dec 2009 06:25:33 -0000	1.3
+++ devel/p5-SVN-Agent/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Agent-0.04.tar.gz) = 87c1741bf7ba71964036b5c09bdb615e
 SHA256 (SVN-Agent-0.04.tar.gz) = 48891c6d6bf9a5fe0cb990b7fdbfb70efef2ccf3e3ba7e0c7dbedf6bd44f3b8c
 SIZE (SVN-Agent-0.04.tar.gz) = 11032
Index: devel/p5-SVN-Log/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Log/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- devel/p5-SVN-Log/Makefile	18 May 2010 04:07:42 -0000	1.9
+++ devel/p5-SVN-Log/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,10 +15,11 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	SVN::Log - Extract change logs from a Subversion server
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-Test-Simple>=0:${PORTSDIR}/devel/p5-Test-Simple
-RUN_DEPENDS=	${BUILD_DEPENDS}
+BUILD_DEPENDS=	p5-Test-Simple>=0:${PORTSDIR}/devel/p5-Test-Simple
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_MODBUILD=	5.8.0+
 
 MAN3=	SVN::Log.3
Index: devel/p5-SVN-Log/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Log/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- devel/p5-SVN-Log/distinfo	28 Jun 2006 00:41:26 -0000	1.1
+++ devel/p5-SVN-Log/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Log-0.03.tar.gz) = 85bb8a675bcb5035ba40cbc74f9b8e1e
 SHA256 (SVN-Log-0.03.tar.gz) = e3460a453177c75ac604dffd95f233340bd29e61e014d53de763187c1c47e086
 SIZE (SVN-Log-0.03.tar.gz) = 7863
Index: devel/p5-SVN-Look/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Look/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/p5-SVN-Look/Makefile	17 Dec 2010 17:48:51 -0000	1.11
+++ devel/p5-SVN-Look/Makefile	13 Jun 2011 22:22:38 -0000
@@ -14,9 +14,7 @@
 MAINTAINER=	glarkin@FreeBSD.org
 COMMENT=	A caching wrapper aroung the svnlook command
 
-BUILD_DEPENDS=	${LOCALBASE}/bin/svnlook:${PORTSDIR}/devel/subversion
-RUN_DEPENDS=	${BUILD_DEPENDS}
-
+USE_SVN=	yes
 PERL_CONFIGURE=	yes
 
 MAN3=		SVN::Look.3
Index: devel/p5-SVN-Mirror/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Mirror/Makefile,v
retrieving revision 1.43
diff -u -r1.43 Makefile
--- devel/p5-SVN-Mirror/Makefile	18 May 2010 04:07:42 -0000	1.43
+++ devel/p5-SVN-Mirror/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,7 +16,6 @@
 COMMENT=	Mirror remote subversion repository to local
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Data/UUID.pm:${PORTSDIR}/devel/p5-Data-UUID \
-		${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
 		${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
 		${SITE_PERL}/Class/Accessor.pm:${PORTSDIR}/devel/p5-Class-Accessor \
 		${SITE_PERL}/Date/Format.pm:${PORTSDIR}/devel/p5-TimeDate \
@@ -24,8 +23,10 @@
 		${SITE_PERL}/SVN/Simple/Edit.pm:${PORTSDIR}/devel/p5-SVN-Simple \
 		${SITE_PERL}/URI/Escape.pm:${PORTSDIR}/net/p5-URI \
 		${SITE_PERL}/VCP.pm:${PORTSDIR}/devel/p5-VCP-autrijus
-RUN_DEPENDS=	${BUILD_DEPENDS}
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	yes
 
 MAN1=		svm.1
Index: devel/p5-SVN-Mirror/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Mirror/distinfo,v
retrieving revision 1.32
diff -u -r1.32 distinfo
--- devel/p5-SVN-Mirror/distinfo	27 Sep 2008 11:47:32 -0000	1.32
+++ devel/p5-SVN-Mirror/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Mirror-0.75.tar.gz) = 15c81a0958ae94e11fcb0dbb62548c98
 SHA256 (SVN-Mirror-0.75.tar.gz) = 3f48d92f4210a4b7c1984f25f5d7b7f594ccc0b09c907aa3fa693fc6dd5e0cb5
 SIZE (SVN-Mirror-0.75.tar.gz) = 122577
Index: devel/p5-SVN-Notify-Config/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Notify-Config/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- devel/p5-SVN-Notify-Config/Makefile	18 May 2010 04:07:42 -0000	1.8
+++ devel/p5-SVN-Notify-Config/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,12 +16,13 @@
 MAINTAINER=	glarkin@FreeBSD.org
 COMMENT=	Perl module for config-driven Subversion notification
 
-RUN_DEPENDS=	${LOCALBASE}/bin/svnlook:${PORTSDIR}/devel/subversion \
-		p5-SVN-Notify>=2.70:${PORTSDIR}/devel/p5-SVN-Notify \
+RUN_DEPENDS= 	p5-SVN-Notify>=2.70:${PORTSDIR}/devel/p5-SVN-Notify \
 		p5-YAML>=0.62:${PORTSDIR}/textproc/p5-YAML
-BUILD_DEPENDS=	p5-Test-Deep>=0.1:${PORTSDIR}/devel/p5-Test-Deep \
+
+BUILD_DEPENDS:=	p5-Test-Deep>=0.1:${PORTSDIR}/devel/p5-Test-Deep \
 		${RUN_DEPENDS}
 
+USE_SVN=	yes
 PERL_MODBUILD=	yes
 
 MAN3=		SVN::Notify::Config.3
Index: devel/p5-SVN-Notify-Config/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Notify-Config/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- devel/p5-SVN-Notify-Config/distinfo	10 Mar 2008 18:43:47 -0000	1.4
+++ devel/p5-SVN-Notify-Config/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Notify-Config-0.0911.tar.gz) = 17dae15a329c9c6ecb0b71671811e270
 SHA256 (SVN-Notify-Config-0.0911.tar.gz) = ef9fc09562f117ebb03ab24e84bf3ef26c46fbd43bef945e0b4d1cd0543b7d99
 SIZE (SVN-Notify-Config-0.0911.tar.gz) = 10507
Index: devel/p5-SVN-S4/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-S4/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- devel/p5-SVN-S4/Makefile	16 Nov 2010 10:08:49 -0000	1.17
+++ devel/p5-SVN-S4/Makefile	13 Jun 2011 22:22:38 -0000
@@ -14,14 +14,15 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Wrapper for subversion program
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Client.pm:${PORTSDIR}/devel/p5-subversion \
-		${SITE_PERL}/${PERL_ARCH}/IO/AIO.pm:${PORTSDIR}/devel/p5-IO-AIO \
+BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/IO/AIO.pm:${PORTSDIR}/devel/p5-IO-AIO \
 		${SITE_PERL}/Config/Tiny.pm:${PORTSDIR}/devel/p5-Config-Tiny
-RUN_DEPENDS=	${BUILD_DEPENDS}
+
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 LICENSE_COMB=	dual
 LICENSE=	ART20 LGPL3
 
+USE_SVN=	pl
 PERL_CONFIGURE=	yes
 INSTALL_TARGET=	pure_install
 
Index: devel/p5-SVN-Simple/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Simple/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- devel/p5-SVN-Simple/Makefile	18 May 2010 04:07:43 -0000	1.15
+++ devel/p5-SVN-Simple/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,9 +15,7 @@
 MAINTAINER=	rafan@FreeBSD.org
 COMMENT=	Simple interface to SVN::Delta::Editor
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion
-RUN_DEPENDS=	${BUILD_DEPENDS}
-
+USE_SVN=	pl
 PERL_CONFIGURE=	yes
 
 MAN3=		SVN::Simple::Edit.3 SVN::Simple::Editor.3
Index: devel/p5-SVN-Simple/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Simple/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- devel/p5-SVN-Simple/distinfo	9 Dec 2009 13:12:29 -0000	1.5
+++ devel/p5-SVN-Simple/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Simple-0.28.tar.gz) = 4de2374434df79dace03075c69e7b93f
 SHA256 (SVN-Simple-0.28.tar.gz) = d63cc169e4369be98a539abe9cc1611bfcc2b36966a6517e676688fed1884ffb
 SIZE (SVN-Simple-0.28.tar.gz) = 4952
Index: devel/p5-SVN-Statistics/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Statistics/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- devel/p5-SVN-Statistics/Makefile	18 May 2010 04:07:43 -0000	1.11
+++ devel/p5-SVN-Statistics/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,11 +15,12 @@
 MAINTAINER=	ychsiao@ychsiao.org
 COMMENT=	SVN::Statistics - perl module to create subversion statistics
 
-BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-RRDTool-OO>=0:${PORTSDIR}/devel/p5-RRDTool-OO \
+BUILD_DEPENDS=	p5-RRDTool-OO>=0:${PORTSDIR}/devel/p5-RRDTool-OO \
 		p5-Data-Dumper-Simple>=0:${PORTSDIR}/devel/p5-Data-Dumper-Simple \
 		p5-IO-Toolkit>=0:${PORTSDIR}/devel/p5-IO-Toolkit
-RUN_DEPENDS=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 PERL_CONFIGURE=	5.8.0+
 
Index: devel/p5-SVN-Statistics/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Statistics/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- devel/p5-SVN-Statistics/distinfo	11 Sep 2006 06:12:51 -0000	1.2
+++ devel/p5-SVN-Statistics/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Statistics-0.041.tar.gz) = 42121151a9d6ac1b518b153fedf3b606
 SHA256 (SVN-Statistics-0.041.tar.gz) = f164b0a8a2e08584434bbccf6a50a7a6cf514b2277be8b9dbbebf44e7e3e6264
 SIZE (SVN-Statistics-0.041.tar.gz) = 4546
Index: devel/p5-SVN-Web/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Web/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- devel/p5-SVN-Web/Makefile	18 May 2010 04:07:43 -0000	1.25
+++ devel/p5-SVN-Web/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,8 +16,7 @@
 MAINTAINER=	rafan@FreeBSD.org
 COMMENT=	Subversion repository web frontend
 
-RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		${SITE_PERL}/${PERL_ARCH}/Template.pm:${PORTSDIR}/www/p5-Template-Toolkit \
+RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Template.pm:${PORTSDIR}/www/p5-Template-Toolkit \
 		${SITE_PERL}/Locale/Maketext/Simple.pm:${PORTSDIR}/devel/p5-Locale-Maketext-Simple \
 		${SITE_PERL}/Text/Diff.pm:${PORTSDIR}/textproc/p5-Text-Diff \
 		${SITE_PERL}/XML/RSS.pm:${PORTSDIR}/textproc/p5-XML-RSS \
@@ -34,11 +33,13 @@
 		p5-Template-Plugin-Subst>=0:${PORTSDIR}/www/p5-Template-Plugin-Subst \
 		p5-Text-Diff-HTML>=0:${PORTSDIR}/textproc/p5-Text-Diff-HTML \
 		p5-URI>=0:${PORTSDIR}/net/p5-URI
-BUILD_DEPENDS=	${RUN_DEPENDS} \
+
+BUILD_DEPENDS:=	${RUN_DEPENDS} \
 		${SITE_PERL}/Test/Benchmark.pm:${PORTSDIR}/devel/p5-Test-Benchmark \
 		${SITE_PERL}/Test/HTML/Tidy.pm:${PORTSDIR}/devel/p5-Test-HTML-Tidy \
 		${SITE_PERL}/Test/WWW/Mechanize.pm:${PORTSDIR}/devel/p5-Test-WWW-Mechanize
 
+USE_SVN=	pl
 PERL_MODBUILD=	yes
 CONFIGURE_ARGS=	--skip_questions
 
Index: devel/p5-SVN-Web/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-SVN-Web/distinfo,v
retrieving revision 1.12
diff -u -r1.12 distinfo
--- devel/p5-SVN-Web/distinfo	2 May 2007 15:34:35 -0000	1.12
+++ devel/p5-SVN-Web/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (SVN-Web-0.53.tar.gz) = e3eb6fc39662714d0f517d1ce6474342
 SHA256 (SVN-Web-0.53.tar.gz) = 4844b14f6e76ec644c41230705725aa7d2374fddfe1beb23910eb1b708849549
 SIZE (SVN-Web-0.53.tar.gz) = 85155
Index: devel/p5-VCP-Dest-svk/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/p5-VCP-Dest-svk/Makefile,v
retrieving revision 1.15
diff -u -r1.15 Makefile
--- devel/p5-VCP-Dest-svk/Makefile	18 May 2010 04:07:43 -0000	1.15
+++ devel/p5-VCP-Dest-svk/Makefile	13 Jun 2011 22:22:38 -0000
@@ -17,11 +17,12 @@
 COMMENT=	VCP destination driver for svn/svk
 
 BUILD_DEPENDS=	${SITE_PERL}/VCP.pm:${PORTSDIR}/devel/p5-VCP-autrijus \
-		${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
 		${SITE_PERL}/SVK.pm:${PORTSDIR}/devel/svk \
 		${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
-RUN_DEPENDS=	${BUILD_DEPENDS}
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	5.8.0+
 
 MAN3=		VCP::Dest::svk.3
Index: devel/p5-VCP-Dest-svk/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/p5-VCP-Dest-svk/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- devel/p5-VCP-Dest-svk/distinfo	2 Sep 2006 15:29:58 -0000	1.6
+++ devel/p5-VCP-Dest-svk/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (VCP-Dest-svk-0.29.tar.gz) = c4b3fb8f9bb159d6e3010ae86cae54e1
 SHA256 (VCP-Dest-svk-0.29.tar.gz) = 981cf0d5689e65bc1dd9048d80ec02dffd69527f10cf14825ebe905d2b6786f2
 SIZE (VCP-Dest-svk-0.29.tar.gz) = 30492
Index: devel/pecl-svn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/pecl-svn/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- devel/pecl-svn/Makefile	26 Jan 2011 04:58:21 -0000	1.22
+++ devel/pecl-svn/Makefile	13 Jun 2011 22:22:38 -0000
@@ -17,9 +17,8 @@
 MAINTAINER=	miwi@FreeBSD.org
 COMMENT=	A PECL extension to the libsvn library
 
-LIB_DEPENDS=	svn_client-1:${PORTSDIR}/devel/subversion
-
 LICENSE=	PHP301
+USE_SVN_LIB=	yes
 USE_PHP=	yes
 USE_PHPEXT=	yes
 
Index: devel/psvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/psvn/Makefile,v
retrieving revision 1.38
diff -u -r1.38 Makefile
--- devel/psvn/Makefile	18 May 2010 04:07:44 -0000	1.38
+++ devel/psvn/Makefile	13 Jun 2011 22:22:38 -0000
@@ -17,8 +17,7 @@
 MAINTAINER=	bsam@FreeBSD.org
 COMMENT=	Subversion interface for Emacs
 
-RUN_DEPENDS=	svn:${PORTSDIR}/devel/subversion
-
+USE_SVN_RUN=	yes
 USE_EMACS=	yes
 
 NO_WRKSUBDIR=	yes
Index: devel/psvn/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/psvn/distinfo,v
retrieving revision 1.28
diff -u -r1.28 distinfo
--- devel/psvn/distinfo	13 May 2010 07:40:21 -0000	1.28
+++ devel/psvn/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (psvn.el?revision=915036&view=co) = 620b04226f954bc70ab7dc065e8879b5
 SHA256 (psvn.el?revision=915036&view=co) = cccb9167058aaa5f9eaabdf89b88b49736597bc928eddda03b3192bda012c1d2
 SIZE (psvn.el?revision=915036&view=co) = 301982
Index: devel/pushmi/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/pushmi/Makefile,v
retrieving revision 1.14
diff -u -r1.14 Makefile
--- devel/pushmi/Makefile	22 May 2011 22:23:16 -0000	1.14
+++ devel/pushmi/Makefile	13 Jun 2011 22:22:38 -0000
@@ -16,19 +16,20 @@
 MAINTAINER=	rafan@FreeBSD.org
 COMMENT=	Subversion repository replication tool
 
-RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
-		p5-App-CLI>=0.06:${PORTSDIR}/devel/p5-App-CLI \
+RUN_DEPENDS=	p5-App-CLI>=0.06:${PORTSDIR}/devel/p5-App-CLI \
 		p5-Cache-Memcached>=0:${PORTSDIR}/databases/p5-Cache-Memcached \
 		p5-Log-Log4perl>=0:${PORTSDIR}/devel/p5-Log-Log4perl \
 		p5-YAML-Syck>=0:${PORTSDIR}/textproc/p5-YAML-Syck \
 		p5-version>=0:${PORTSDIR}/devel/p5-version \
 		svk>=2.0.0:${PORTSDIR}/devel/svk
-BUILD_DEPENDS=	${RUN_DEPENDS} \
+
+BUILD_DEPENDS:=	${RUN_DEPENDS} \
 		p5-IPC-Run3>=0:${PORTSDIR}/devel/p5-IPC-Run3 \
 		p5-RunApp>=0.13:${PORTSDIR}/devel/p5-RunApp \
 		p5-Test-Output>=0:${PORTSDIR}/devel/p5-Test-Output \
 		${SITE_PERL}/${PERL_ARCH}/mod_perl2.pm:${PORTSDIR}/www/mod_perl2
 
+USE_SVN=	pl
 PERL_CONFIGURE=	yes
 
 MAN3=		Pushmi.3 \
Index: devel/pushmi/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/pushmi/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- devel/pushmi/distinfo	21 Aug 2007 10:44:06 -0000	1.5
+++ devel/pushmi/distinfo	13 Jun 2011 22:22:38 -0000
@@ -1,3 +1,2 @@
-MD5 (Pushmi-v1.0.0.tar.gz) = e89285290b80f9638fb687d0836fdbde
 SHA256 (Pushmi-v1.0.0.tar.gz) = 0f2c1ac65407e13fd12d9721360c55cdd991411ca2c9cbf3b3b6e4825fb03023
 SIZE (Pushmi-v1.0.0.tar.gz) = 47662
Index: devel/py-subvertpy/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/py-subvertpy/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- devel/py-subvertpy/Makefile	1 Apr 2011 02:30:43 -0000	1.5
+++ devel/py-subvertpy/Makefile	13 Jun 2011 22:22:38 -0000
@@ -15,11 +15,10 @@
 MAINTAINER=	c-s@c-s.li
 COMMENT=	Python bindings for subversion
 
-BUILD_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
-
 LICENSE=	GPLv2
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
+USE_SVN_BUILD=	yes
 USE_PYTHON=	2.5+
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	subvertpy
Index: devel/pysvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/pysvn/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- devel/pysvn/Makefile	7 Jun 2011 10:57:44 -0000	1.17
+++ devel/pysvn/Makefile	13 Jun 2011 22:22:39 -0000
@@ -7,15 +7,13 @@
 
 PORTNAME=	pysvn
 PORTVERSION=	1.7.5
-PORTREVISION=	0
 CATEGORIES=	devel
 MASTER_SITES=	http://pysvn.barrys-emacs.org/source_kits/
 
 MAINTAINER=	bra@fsn.hu
 COMMENT=	Python binding for Subversion
 
-LIB_DEPENDS=	svn_client-1:${PORTSDIR}/devel/subversion
-
+USE_SVN_LIB=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes
 PYDISTUTILS_NOEGGINFO=yes
Index: devel/qsvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/qsvn/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- devel/qsvn/Makefile	18 May 2010 04:07:44 -0000	1.17
+++ devel/qsvn/Makefile	13 Jun 2011 22:22:39 -0000
@@ -15,8 +15,7 @@
 MAINTAINER=	makc@FreeBSD.org
 COMMENT=	Qt based GUI frontend for Subversion
 
-LIB_DEPENDS+=	svn_client-1:${PORTSDIR}/devel/subversion
-
+USE_SVN_LIB=	yes
 USE_QT_VER=	4
 QT_COMPONENTS=	gui sql moc_build uic_build rcc_build qmake_build
 USE_LDCONFIG=	yes
Index: devel/qsvn/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/qsvn/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- devel/qsvn/distinfo	15 Feb 2009 19:26:13 -0000	1.6
+++ devel/qsvn/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (qsvn-0.8.1-src.tar.gz) = b63ee000763273667fd8a4c45d45f617
 SHA256 (qsvn-0.8.1-src.tar.gz) = 69bdeba77e050fe41c790b7a446c1c89b060156fefa73827f00b7fadc0d66f3d
 SIZE (qsvn-0.8.1-src.tar.gz) = 771797
Index: devel/rapidsvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/rapidsvn/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- devel/rapidsvn/Makefile	22 Dec 2010 20:05:42 -0000	1.32
+++ devel/rapidsvn/Makefile	13 Jun 2011 22:22:39 -0000
@@ -16,10 +16,10 @@
 COMMENT=	Cross-platform GUI front-end for the Subversion revision system
 
 BUILD_DEPENDS=	neon-config:${PORTSDIR}/www/neon29 \
-		svn:${PORTSDIR}/devel/subversion \
 		xsltproc:${PORTSDIR}/textproc/libxslt \
 		${LOCALBASE}/share/xsl/docbook/VERSION:${PORTSDIR}/textproc/docbook-xsl
 
+USE_SVN_BUILD=	yes
 USE_WX=	2.6
 WX_CONF_ARGS=	absolute
 
Index: devel/rapidsvn/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/rapidsvn/distinfo,v
retrieving revision 1.7
diff -u -r1.7 distinfo
--- devel/rapidsvn/distinfo	23 May 2010 08:30:21 -0000	1.7
+++ devel/rapidsvn/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (rapidsvn-0.12.0-1.tar.gz) = 8ec54104fca32d81e396a68e25324263
 SHA256 (rapidsvn-0.12.0-1.tar.gz) = ef7d0db528ba5c660f8e8ce4dd7b6d098707b43b04932257e092a6d4ab746ac4
 SIZE (rapidsvn-0.12.0-1.tar.gz) = 1246675
Index: devel/statsvn/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/statsvn/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- devel/statsvn/Makefile	18 May 2010 04:07:44 -0000	1.5
+++ devel/statsvn/Makefile	13 Jun 2011 22:22:39 -0000
@@ -15,8 +15,7 @@
 MAINTAINER=	glarkin@FreeBSD.org
 COMMENT=	Subversion repository activity report generator
 
-RUN_DEPENDS=	java:${PORTSDIR}/java/javavmwrapper \
-		subversion>=1.3:${PORTSDIR}/devel/subversion
+RUN_DEPENDS=	java:${PORTSDIR}/java/javavmwrapper
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 DATADIR=	${JAVASHAREDIR}/${PORTNAME}
@@ -25,6 +24,7 @@
 USE_JAVA=	yes
 USE_ANT=	yes
 JAVA_VERSION=	1.4+
+USE_SVN_RUN=	yes
 
 .if !defined(NOPORTDOCS)
 ALL_TARGET=	dist javadoc
Index: devel/statsvn/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/statsvn/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- devel/statsvn/distinfo	16 Mar 2010 13:13:42 -0000	1.3
+++ devel/statsvn/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (statsvn-0.7.0-source.zip) = 5ac7a3d06587c5e1ade2ad54709e5312
 SHA256 (statsvn-0.7.0-source.zip) = ab8d07931d5e5b348a5862c8b094b5dbb406743acf3cd3a1eb3cd28810567ebf
 SIZE (statsvn-0.7.0-source.zip) = 17343738
Index: devel/subcommander/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/subcommander/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- devel/subcommander/Makefile	30 Jul 2010 22:14:46 -0000	1.22
+++ devel/subcommander/Makefile	13 Jun 2011 22:22:39 -0000
@@ -16,19 +16,19 @@
 COMMENT=	Qt based multiplatform subversion client, diff & merge tool
 
 LIB_DEPENDS=	neon.27:${PORTSDIR}/www/neon29 \
-		boost_thread.4:${PORTSDIR}/devel/boost-libs \
-		svn_client-1.0:${PORTSDIR}/devel/subversion
+		boost_thread.4:${PORTSDIR}/devel/boost-libs
 
 WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
+USE_SVN_LIB=	yes
 USE_QT_VER=	3
 CONFIGURE_ARGS+=--with-boost=${LOCALBASE} --with-neon=${LOCALBASE} \
 		--with-subversion=${LOCALBASE}
-CONFIGURE_ENV=	QTDIR=${LOCALBASE} CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
 
+CONFIGURE_ENV=	QTDIR=${LOCALBASE} \
+		LDFLAGS="-L${LOCALBASE}/lib ${PTHREAD_LIBS}"
 NO_LATEST_LINK=	yes
 
 .include <bsd.port.mk>
Index: devel/subcommander/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/subcommander/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- devel/subcommander/distinfo	18 Jul 2008 11:04:04 -0000	1.2
+++ devel/subcommander/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (Subcommander-1.2.3.tar.gz) = edbbf697c8653bdcb4778dc0182ad05c
 SHA256 (Subcommander-1.2.3.tar.gz) = 808a1e590ae20f914069a1251c98e6643069a5e3de032d0af2671e1b5398f301
 SIZE (Subcommander-1.2.3.tar.gz) = 7343786
Index: devel/subcommander2/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/subcommander2/Makefile,v
retrieving revision 1.23
diff -u -r1.23 Makefile
--- devel/subcommander2/Makefile	23 May 2011 23:02:24 -0000	1.23
+++ devel/subcommander2/Makefile	13 Jun 2011 22:22:39 -0000
@@ -17,7 +17,6 @@
 
 LIB_DEPENDS=	neon.27:${PORTSDIR}/www/neon29 \
 		boost_thread.4:${PORTSDIR}/devel/boost-libs \
-		svn_client-1.0:${PORTSDIR}/devel/subversion \
 		sasl2.2:${PORTSDIR}/security/cyrus-sasl2
 
 BROKEN=		does not link
@@ -28,6 +27,7 @@
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.b/b/g}
 USE_DOS2UNIX=	*.cpp
 
+USE_SVN_LIB=	yes
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_OPENSSL=	yes
@@ -38,8 +38,7 @@
 			--with-apr=${LOCALBASE}/bin/apr-1-config \
 			--with-apr-util=${LOCALBASE}/bin/apu-1-config \
 			--with-openssl=${OPENSSLBASE}
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
-		LDFLAGS="-L${LOCALBASE}/lib -L${LOCALBASE}/lib/qt4 ${PTHREAD_LIBS}"
+CONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib -L${LOCALBASE}/lib/qt4 ${PTHREAD_LIBS}"
 
 post-extract:
 	@${CHMOD} +x ${WRKSRC}/configure
Index: devel/subcommander2/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/subcommander2/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- devel/subcommander2/distinfo	1 Oct 2009 13:22:52 -0000	1.6
+++ devel/subcommander2/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (Subcommander-2.0.0b5p1.tar.gz) = 6aa8d1889dd849cbec717546478cd285
 SHA256 (Subcommander-2.0.0b5p1.tar.gz) = 52820395f76b542e34f5fa6ffb682db8cc9024fc7583e9cbb2d9b078334d7e7c
 SIZE (Subcommander-2.0.0b5p1.tar.gz) = 7279236
Index: devel/subversion/Makefile.common
===================================================================
RCS file: /home/pcvs/ports/devel/subversion/Makefile.common,v
retrieving revision 1.46
diff -u -r1.46 Makefile.common
--- devel/subversion/Makefile.common	2 Jun 2011 14:02:36 -0000	1.46
+++ devel/subversion/Makefile.common	13 Jun 2011 22:22:39 -0000
@@ -14,6 +14,12 @@
 DIST_SUBDIR=	subversion
 EXTRACT_ONLY=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX}
 
+.if defined(SVN_PORT) && !empty(SVN_PORT)
+.	if ${SVN_PORT} == "devel/subversion-freebsd"
+WITH_FREEBSD_SUBVERSION=	yes
+.	endif
+.endif
+
 # Patches required for use with the FreeBSD Project repository only
 .if defined(WITH_FREEBSD_SUBVERSION)
 PATCH_SITES=		${MASTER_SITE_LOCAL}
Index: devel/svk/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/svk/Makefile,v
retrieving revision 1.52
diff -u -r1.52 Makefile
--- devel/svk/Makefile	21 Sep 2010 07:56:35 -0000	1.52
+++ devel/svk/Makefile	13 Jun 2011 22:22:39 -0000
@@ -17,7 +17,6 @@
 COMMENT=	A Distributed Version Control System
 
 BUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/List/MoreUtils.pm:${PORTSDIR}/lang/p5-List-MoreUtils \
-		${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion \
 		${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
 		${SITE_PERL}/Algorithm/Annotate.pm:${PORTSDIR}/devel/p5-Algorithm-Annotate \
 		${SITE_PERL}/App/CLI.pm:${PORTSDIR}/devel/p5-App-CLI \
@@ -51,8 +50,10 @@
 		p5-YAML-Syck>=0.60:${PORTSDIR}/textproc/p5-YAML-Syck \
 		p5-libwww>=0:${PORTSDIR}/www/p5-libwww \
 		p5-version>=0.68:${PORTSDIR}/devel/p5-version
-RUN_DEPENDS=	${BUILD_DEPENDS}
 
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USE_SVN=	pl
 PERL_CONFIGURE=	5.8.1+
 
 MAN1=		svk.1
Index: devel/svk/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/svk/distinfo,v
retrieving revision 1.30
diff -u -r1.30 distinfo
--- devel/svk/distinfo	17 Apr 2010 15:57:28 -0000	1.30
+++ devel/svk/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (SVK-v2.2.3.tar.gz) = 86ad8796345400b7b0338dab7a4ca977
 SHA256 (SVK-v2.2.3.tar.gz) = 815ab9ba156cb7d1cc6be2aaa75789f8288ba86d79f220bbe504576bcaa84aca
 SIZE (SVK-v2.2.3.tar.gz) = 505012
Index: devel/svn2git/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/svn2git/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- devel/svn2git/Makefile	13 Apr 2011 19:38:28 -0000	1.2
+++ devel/svn2git/Makefile	13 Jun 2011 22:22:39 -0000
@@ -12,14 +12,14 @@
 MAINTAINER=	naylor.b.david@gmail.com
 COMMENT=	Imports svn repositories into git
 
-LIB_DEPENDS=	svn_client-1:${PORTSDIR}/devel/subversion
 RUN_DEPENDS+=	git:${PORTSDIR}/devel/git \
-		${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
-		${SITE_PERL}/${PERL_ARCH}/SVN/Core.pm:${PORTSDIR}/devel/p5-subversion
+		${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey
 
 LICENSES=	GPLv1 GPLv2 GPLv3
 
 USE_XZ=		yes
+USE_SVN_LIB=	yes
+USE_SVN_RUN=	pl
 USE_QT_VER=	4
 QT_COMPONENTS=	corelib qmake_build
 MAKE_JOBS_SAFE=	yes
Index: devel/svn_load_dirs/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/svn_load_dirs/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- devel/svn_load_dirs/Makefile	25 Dec 2010 16:55:28 -0000	1.10
+++ devel/svn_load_dirs/Makefile	13 Jun 2011 22:22:39 -0000
@@ -14,9 +14,9 @@
 MAINTAINER=	knu@FreeBSD.org
 COMMENT=	A Perl script to load directories into a Subversion repository
 
-RUN_DEPENDS=	${SITE_PERL}/URI.pm:${PORTSDIR}/net/p5-URI \
-		${LOCALBASE}/bin/svn:${PORTSDIR}/devel/subversion
+RUN_DEPENDS=	${SITE_PERL}/URI.pm:${PORTSDIR}/net/p5-URI
 
+USE_SVN_RUN=	yes
 USE_BZIP2=	yes
 USE_PERL5=	5.8.0+
 
Index: devel/svndelta/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/svndelta/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- devel/svndelta/Makefile	18 May 2010 04:07:46 -0000	1.6
+++ devel/svndelta/Makefile	13 Jun 2011 22:22:39 -0000
@@ -15,8 +15,7 @@
 MAINTAINER=	mich@FreeBSD.org
 COMMENT=	Summarizes and manages differences between local files and Subversion
 
-RUN_DEPENDS=	${LOCALBASE}/bin/svn:${PORTSDIR}/devel/subversion
-
+USE_SVN_RUN=	yes
 USE_RUBY=	yes
 NO_BUILD=	yes
 
Index: devel/svndelta/distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/svndelta/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- devel/svndelta/distinfo	12 Mar 2007 14:35:29 -0000	1.2
+++ devel/svndelta/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (svndelta-1.0.6.tar.gz) = c7586d19db4d3708ec96aaa4ad169ea6
 SHA256 (svndelta-1.0.6.tar.gz) = 1c84fcd1fca1909beb0c40690264848a142d28d94dfbb9b7505816c4deae243f
 SIZE (svndelta-1.0.6.tar.gz) = 31552
Index: devel/svnmerge/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/svnmerge/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- devel/svnmerge/Makefile	13 Nov 2010 15:38:25 -0000	1.1
+++ devel/svnmerge/Makefile	13 Jun 2011 22:22:39 -0000
@@ -13,8 +13,7 @@
 MAINTAINER=	tom@tomjudge.com
 COMMENT=	A Python script to managing merges in a Subversion repository
 
-RUN_DEPENDS=	${LOCALBASE}/bin/svn:${PORTSDIR}/devel/subversion
-
+USE_SVN_RUN=	yes
 USE_BZIP2=	yes
 USE_PYTHON=	2.5+
 NO_BUILD=	yes
@@ -42,4 +41,6 @@
 	${INSTALL_DATA} ${WRKSRC}/svnmerge.README ${DOCSDIR}/
 .endif
 
+svnver:
+
 .include <bsd.port.post.mk>
Index: devel/svntrac/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/svntrac/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- devel/svntrac/Makefile	18 May 2010 04:07:46 -0000	1.6
+++ devel/svntrac/Makefile	13 Jun 2011 22:22:39 -0000
@@ -11,7 +11,7 @@
 
 COMMENT=	Web-Based Bug And Patch-Set Tracking System For Subversion
 
-RUN_DEPENDS=	subversion>=0:${PORTSDIR}/devel/subversion
+USE_SVN_RUN=	yes
 
 MASTERDIR=	${.CURDIR}/../cvstrac
 MAKE_ARGS=	APPNAME=svntrac
Index: devel/thunar-vcs-plugin/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/thunar-vcs-plugin/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- devel/thunar-vcs-plugin/Makefile	7 Jun 2011 12:23:03 -0000	1.21
+++ devel/thunar-vcs-plugin/Makefile	13 Jun 2011 22:22:39 -0000
@@ -52,7 +52,7 @@
 .endif
 
 .if !defined(WITHOUT_SVN)
-LIB_DEPENDS+=	svn_client-1:${PORTSDIR}/devel/subversion-freebsd
+USE_SVN_LIB=	yes
 CONFIGURE_ARGS+=--enable-subversion
 PLIST_SUB+=	SVN=""
 .else
Index: devel/viewvc/Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/viewvc/Makefile,v
retrieving revision 1.59
diff -u -r1.59 Makefile
--- devel/viewvc/Makefile	23 May 2011 04:45:26 -0000	1.59
+++ devel/viewvc/Makefile	13 Jun 2011 22:22:39 -0000
@@ -45,7 +45,7 @@
 # viewvc can support CVS or SVN, controlled with the parameter
 # cvs_roots (for CVS), svn_roots (for Subversion) in viewvc.conf
 .if defined (WITH_SUBVERSION)
-RUN_DEPENDS+=	${PYTHON_LIBDIR}/site-packages/svn/__init__.py:${PORTSDIR}/devel/py-subversion
+USE_SVN_RUN=	py
 .endif
 
 .if defined (WITH_APACHE)
Index: games/antrix/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/antrix/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- games/antrix/Makefile	19 Mar 2011 13:15:22 -0000	1.10
+++ games/antrix/Makefile	13 Jun 2011 22:22:39 -0000
@@ -16,11 +16,10 @@
 MAINTAINER=	skillcoder@mail.ru
 COMMENT=	Free stable dedicated-server for World of Warcraft
 
-BUILD_DEPENDS=	svn:${PORTSDIR}/devel/subversion
-
 USE_AUTOTOOLS=	aclocal libtoolize autoconf autoheader automake libtool
 ACLOCAL_ARGS=	-I ${LOCALBASE}/share/aclocal
 AUTOMAKE_ARGS=	-a
+USE_SVN_BUILD=	yes
 USE_MYSQL=	yes
 CFLAGS+=	-O0
 USE_LDCONFIG=	yes
Index: games/antrix/distinfo
===================================================================
RCS file: /home/pcvs/ports/games/antrix/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- games/antrix/distinfo	12 Sep 2007 21:25:19 -0000	1.1
+++ games/antrix/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (antrix-1477.tar.gz) = 8d04674ad56eb7cd57aa2fbd6a660f55
 SHA256 (antrix-1477.tar.gz) = 80bc0008faccde34cb5f74338fdeff0aa4210961b887faa19d5a98462a02c238
 SIZE (antrix-1477.tar.gz) = 8230927
Index: games/gtkradiant/Makefile
===================================================================
RCS file: /home/pcvs/ports/games/gtkradiant/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- games/gtkradiant/Makefile	7 Jan 2011 07:43:39 -0000	1.17
+++ games/gtkradiant/Makefile	13 Jun 2011 22:22:39 -0000
@@ -18,15 +18,15 @@
 MAINTAINER=	danfe@FreeBSD.org
 COMMENT=	Level design program developed by id Software and Loki Software
 
-LICENSE=	GPLv2
-
-BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/libsvn/__init__.py:${PORTSDIR}/devel/py-subversion
 LIB_DEPENDS=	gtkglext-x11-1.0.0:${PORTSDIR}/x11-toolkits/gtkglext \
 		mhash.2:${PORTSDIR}/security/mhash \
 		png.6:${PORTSDIR}/graphics/png
 
+LICENSE=	GPLv2
+
 WRKSRC=		${WRKDIR}/GPL/GtkRadiant
 
+USE_SVN_BUILD=	py
 USE_ZIP=	yes
 USE_GNOME=	gtk20 libxml2
 USE_PYTHON_BUILD=	yes
Index: games/gtkradiant/distinfo
===================================================================
RCS file: /home/pcvs/ports/games/gtkradiant/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- games/gtkradiant/distinfo	10 May 2006 18:35:19 -0000	1.1
+++ games/gtkradiant/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,6 +1,4 @@
-MD5 (GtkRadiant-GPL.zip) = fa29a5a5bdd261dbe6577b566f58d9c0
 SHA256 (GtkRadiant-GPL.zip) = 9c5490e340aa60687ca64a16b059712a4d151caeeaed3258b0f5ea1ca965e86c
 SIZE (GtkRadiant-GPL.zip) = 5466094
-MD5 (gtkradiant_gamepacks.zip) = 8a2b5a89c4f817e0277d3940c6b8e59e
 SHA256 (gtkradiant_gamepacks.zip) = a8634a8c6a0c879bd03035f17bd72fd79591f9e248c9a4b6f0fd4ebdb2e4a9b3
 SIZE (gtkradiant_gamepacks.zip) = 501706
Index: graphics/seom/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/seom/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- graphics/seom/Makefile	6 Jun 2010 17:00:56 -0000	1.5
+++ graphics/seom/Makefile	13 Jun 2011 22:22:39 -0000
@@ -44,7 +44,7 @@
 # To roll snapshot: as bms: make BOOTSTRAP=defined fetch
 #
 .if defined(BOOTSTRAP)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 SVN_REV=	196		# svn tip at epoch 2009120801
 SVNROOT_URI=	https://devel.neopsis.com/svn/seom
 
Index: graphics/seom/distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/seom/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- graphics/seom/distinfo	14 Jan 2010 19:11:45 -0000	1.1
+++ graphics/seom/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (seom-2010011201.tar.bz2) = ba4ff6771f895fa18a15ceacacf9ad26
 SHA256 (seom-2010011201.tar.bz2) = fcfb18f4aaf6f221eef1ea765fbbec965fb6180ac35879f9a3a19319a8f20bb0
 SIZE (seom-2010011201.tar.bz2) = 24242
Index: graphics/yukon/Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/yukon/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- graphics/yukon/Makefile	6 Jun 2010 17:00:56 -0000	1.2
+++ graphics/yukon/Makefile	13 Jun 2011 22:22:39 -0000
@@ -41,7 +41,7 @@
 # To roll snapshot: as bms: make BOOTSTRAP=defined fetch
 #
 .if defined(BOOTSTRAP)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 SVN_REV=	158		# svn tip at epoch 2009120801
 SVNROOT_URI=	https://devel.neopsis.com/svn/yukon
 
Index: graphics/yukon/distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/yukon/distinfo,v
retrieving revision 1.1
diff -u -r1.1 distinfo
--- graphics/yukon/distinfo	14 Jan 2010 19:12:18 -0000	1.1
+++ graphics/yukon/distinfo	13 Jun 2011 22:22:39 -0000
@@ -1,3 +1,2 @@
-MD5 (yukon-2010011201.tar.bz2) = 46bdbd061e9c0fe26cf97e0a0544023e
 SHA256 (yukon-2010011201.tar.bz2) = 8e261dfe86c762912b9d1a577909c77a01b0877d4ac86bde0ba1c6b7901a3bdd
 SIZE (yukon-2010011201.tar.bz2) = 13388
Index: japanese/trac/Makefile
===================================================================
RCS file: /home/pcvs/ports/japanese/trac/Makefile,v
retrieving revision 1.47
diff -u -r1.47 Makefile
--- japanese/trac/Makefile	26 Mar 2011 15:18:32 -0000	1.47
+++ japanese/trac/Makefile	13 Jun 2011 22:22:39 -0000
@@ -17,7 +17,8 @@
 
 BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Genshi>=0.5:${PORTSDIR}/textproc/py-genshi \
 		${PYTHON_PKGNAMEPREFIX}Babel>=0.9:${PORTSDIR}/devel/py-babel
-RUN_DEPENDS=	${BUILD_DEPENDS}
+
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 OPTIONS=	SILVERCITY "Use Silvercity for syntax highlighting" On \
 		DOCUTILS   "Allow additional text markup" On \
@@ -89,7 +90,7 @@
 .endif
 
 .if !defined(WITHOUT_SUBVERSION)
-RUN_DEPENDS+=	${PYTHON_SITELIBDIR}/svn/__init__.py:${PORTSDIR}/devel/py-subversion
+USE_SVN_RUN=	py
 .endif
 
 .include <bsd.port.post.mk>
Index: lang/clang-devel/Makefile
===================================================================
RCS file: /home/pcvs/ports/lang/clang-devel/Makefile,v
retrieving revision 1.16
diff -u -r1.16 Makefile
--- lang/clang-devel/Makefile	24 Feb 2011 21:54:36 -0000	1.16
+++ lang/clang-devel/Makefile	13 Jun 2011 22:22:39 -0000
@@ -72,7 +72,7 @@
 .endif
 
 .if defined(BOOTSTRAP) || defined(SVN_FETCH)
-FETCH_DEPENDS+= svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 
 do-fetch:
 	${MKDIR} ${WRKDIR}
Index: mail/svnmailer/Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/svnmailer/Makefile,v
retrieving revision 1.17
diff -u -r1.17 Makefile
--- mail/svnmailer/Makefile	25 Feb 2011 03:19:24 -0000	1.17
+++ mail/svnmailer/Makefile	13 Jun 2011 22:22:39 -0000
@@ -15,9 +15,7 @@
 MAINTAINER=	skv@FreeBSD.org
 COMMENT=	A tool to post subversion repository commit information
 
-BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/libsvn/__init__.py:${PORTSDIR}/devel/py-subversion
-RUN_DEPENDS=	${BUILD_DEPENDS}
-
+USE_SVN=	py
 USE_BZIP2=	YES
 USE_PYTHON=		2.5+
 USE_PYDISTUTILS=	yes
Index: math/asymptote/Makefile
===================================================================
RCS file: /home/pcvs/ports/math/asymptote/Makefile,v
retrieving revision 1.68
diff -u -r1.68 Makefile
--- math/asymptote/Makefile	9 May 2011 16:42:24 -0000	1.68
+++ math/asymptote/Makefile	13 Jun 2011 22:22:39 -0000
@@ -28,7 +28,6 @@
 		latex:${PORTSDIR}/print/teTeX \
 		makeinfo:${PORTSDIR}/textproc/texi2html \
 		${MKTEXLSR}:${PORTSDIR}/print/teTeX \
-		svn:${PORTSDIR}/devel/subversion \
 		texi2dvi:${PORTSDIR}/print/teTeX
 RUN_DEPENDS=	gv:${PORTSDIR}/print/gv \
 		latex:${PORTSDIR}/print/teTeX \
@@ -39,6 +38,7 @@
 # it requires boehm-gc 7.X
 CONFIGURE_ARGS=	--disable-gc
 
+USE_SVN_BUILD=	yes
 USE_GHOSTSCRIPT=yes
 USE_GL=	glut
 USE_GMAKE=	yes
Index: math/petsc/Makefile
===================================================================
RCS file: /home/pcvs/ports/math/petsc/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- math/petsc/Makefile	26 Feb 2011 09:56:49 -0000	1.34
+++ math/petsc/Makefile	13 Jun 2011 22:22:39 -0000
@@ -193,8 +193,7 @@
 WITH_SVN=	yes
 .endif
 .if defined(WITH_SVN)
-BUILD_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
-RUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	yes
 .endif
 
 #.if exists(${LOCALBASE}/bin/valgrind)
Index: net/xorp-devel/Makefile
===================================================================
RCS file: /home/pcvs/ports/net/xorp-devel/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- net/xorp-devel/Makefile	1 Jul 2010 03:54:28 -0000	1.5
+++ net/xorp-devel/Makefile	13 Jun 2011 22:22:39 -0000
@@ -42,7 +42,7 @@
 # To roll snapshot: as bms: make BOOTSTRAP=defined fetch
 #
 .if defined(BOOTSTRAP)
-FETCH_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
+USE_SVN=	fetch
 SVN_REV=	11685		# svn tip at epoch 2009120801
 SVNROOT_URI=	http://xorp.svn.sourceforge.net/svnroot/xorp
 
Index: net-mgmt/rancid/Makefile
===================================================================
RCS file: /home/pcvs/ports/net-mgmt/rancid/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- net-mgmt/rancid/Makefile	3 Mar 2011 19:35:08 -0000	1.31
+++ net-mgmt/rancid/Makefile	13 Jun 2011 22:22:39 -0000
@@ -51,8 +51,8 @@
 .include <bsd.port.options.mk>
 
 .if defined(WITH_SVN)
+USE_SVN_BUILD=	yes
 CONFIGURE_ARGS+=	--with-svn
-BUILD_DEPENDS+=		svn:${PORTSDIR}/devel/subversion
 .endif
 
 pre-everything::
Index: ports-mgmt/p5-App-Pm2Port/Makefile
===================================================================
RCS file: /home/pcvs/ports/ports-mgmt/p5-App-Pm2Port/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ports-mgmt/p5-App-Pm2Port/Makefile	18 May 2010 04:07:48 -0000	1.7
+++ ports-mgmt/p5-App-Pm2Port/Makefile	
Comment 1 Olli Hauer freebsd_committer 2011-06-14 00:18:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Assign to portmgr for possible expr-run
Comment 2 Olli Hauer freebsd_committer 2011-06-28 06:46:47 UTC
Diffs updated to reflect current ports tree.
Name of patch-files will not change and I will update the patches if needed again.

http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk.diff

All 80+ port fixes:
http://people.freebsd.org/~ohauer/diffs/Mk_bsd.port.mk/PR_bsd.svn.mk_all_ports.diff


Do you think we can do the test together with a new exp-run for apache22?
I really wont to have this before the change to apache22 as default ;)
Comment 3 Max Brazhnikov freebsd_committer 2011-07-03 14:11:36 UTC
Hi Olli,

Abbreviations like pl, py, ja looks unclear to me. Any reason to not use 
simple perl, python and java?

Btw, have you announced your patch on mainlist? Some people may want to review 
it.

Thanks,
Max
Comment 4 Olli Hauer freebsd_committer 2011-07-03 14:30:08 UTC
On 2011-07-03 15:11, Max Brazhnikov wrote:
> Hi Olli,
> 
> Abbreviations like pl, py, ja looks unclear to me. Any reason to not use 
> simple perl, python and java?
> 
> Btw, have you announced your patch on mainlist? Some people may want to review 
> it.
> 
> Thanks,
> Max

Hi Max,

the only reason for me to not use the default perl python ... was portlint.

If we can teach portlint not to complain about this keywords all the time
I'm happy to change them.

Which mainlist do you mean?
I'm happy for every reviewer, patches, comment ...

--
Regards,
olli
Comment 5 Max Brazhnikov freebsd_committer 2011-07-03 15:46:03 UTC
On Sun, 03 Jul 2011 15:30:08 +0200, Olli Hauer wrote:
> On 2011-07-03 15:11, Max Brazhnikov wrote:
> > Hi Olli,
> > 
> > Abbreviations like pl, py, ja looks unclear to me. Any reason to not use
> > simple perl, python and java?
> > 
> > Btw, have you announced your patch on mainlist? Some people may want to
> > review it.
> > 
> > Thanks,
> > Max
> 
> Hi Max,
> 
> the only reason for me to not use the default perl python ... was portlint.

In this case portlint can be ignored or it should be taught to not emit false 
warning.

> If we can teach portlint not to complain about this keywords all the time
> I'm happy to change them.
>
> Which mainlist do you mean?
> I'm happy for every reviewer, patches, comment ...

ports-committers@freebsd.org or ports@freebsd.org, which you like more.

Max
Comment 6 Olli Hauer freebsd_committer 2011-07-03 16:19:30 UTC
On 2011-07-03 16:46, Max Brazhnikov wrote:
> On Sun, 03 Jul 2011 15:30:08 +0200, Olli Hauer wrote:
>> On 2011-07-03 15:11, Max Brazhnikov wrote:
>>> Hi Olli,
>>>
>>> Abbreviations like pl, py, ja looks unclear to me. Any reason to not use
>>> simple perl, python and java?
>>>
>>> Btw, have you announced your patch on mainlist? Some people may want to
>>> review it.
>>>
>>> Thanks,
>>> Max
>>
>> Hi Max,
>>
>> the only reason for me to not use the default perl python ... was portlint.
> 
> In this case portlint can be ignored or it should be taught to not emit false 
> warning.
> 
>> If we can teach portlint not to complain about this keywords all the time
>> I'm happy to change them.
>>
>> Which mainlist do you mean?
>> I'm happy for every reviewer, patches, comment ...
> 
> ports-committers@freebsd.org or ports@freebsd.org, which you like more.
> 
> Max

Hm, I think ports-comitters@ is maybe the better list.
I suspect subversion-freebsd is not wildly uses outside committers.

Anyway I think on ports@ I can get more feedback ...

Will write later a mail to ports@

Thanks,
olli
Comment 7 Martin Wilke freebsd_committer 2012-05-17 16:53:08 UTC
State Changed
From-To: open->feedback

Hi, any news here?
Comment 8 Martin Wilke freebsd_committer 2012-05-18 03:51:53 UTC
State Changed
From-To: feedback->closed

close by submitter request.